Bug 27924 - Display number of holds awaiting pickup on check out screens
Summary: Display number of holds awaiting pickup on check out screens
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-10 23:38 UTC by Barbara Johnson
Modified: 2021-04-30 07:45 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch changes the way waiting holds are displayed on the checkout screen. Holds waiting at the current library will now be displayed separately from holds waiting at other libraries, with a count shown for each group.
Version(s) released in:
21.05.00


Attachments
Display of the number of holds awaiting pickup (77.37 KB, image/png)
2021-03-10 23:38 UTC, Barbara Johnson
Details
Screenshot of a proposed change (90.79 KB, image/png)
2021-04-21 16:25 UTC, Owen Leonard
Details
Bug 27924: Display number of holds awaiting pickup on check out screens (8.23 KB, patch)
2021-04-22 10:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27924: Display number of holds awaiting pickup on check out screens (8.29 KB, patch)
2021-04-22 14:19 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27924: Display number of holds awaiting pickup on check out screens (8.35 KB, patch)
2021-04-22 21:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2021-03-10 23:38:07 UTC
At our pickup window we are pulling patron's holds and checking them out manually.  Sometimes it's helpful to know how many items we are looking for on the holds shelves.  It would be useful to staff if the number of holds waiting to be picked up displayed on the check out screen above the list of titles.  So instead of just seeing 'Holds waiting:" staff could see 'Holds waiting (9)
Comment 1 Barbara Johnson 2021-03-10 23:38:56 UTC
Created attachment 118083 [details]
Display of the number of holds awaiting pickup
Comment 2 Lucas Gass 2021-04-15 17:16:30 UTC
I think we can add dataTables to this table which would gain the ability to sort these columns.
Comment 3 Katrin Fischer 2021-04-17 18:02:23 UTC
Hi Barbara, this looks a bit different than I expected (maybe some clever local CSS?) Which page are we looking at on your screenshot? Is this the checkouts tab on the patron account in staff?
Comment 4 Owen Leonard 2021-04-21 16:25:10 UTC
Created attachment 119962 [details]
Screenshot of a proposed change

What do y'all think of this?
Comment 5 Barbara Johnson 2021-04-21 16:57:52 UTC
That's perfect.
Comment 6 Katrin Fischer 2021-04-21 19:51:37 UTC
Thx, Owen!

Wondering, would "... (4):" or "...: 4" be better in this case?
Comment 7 Owen Leonard 2021-04-22 10:58:03 UTC
Created attachment 119994 [details] [review]
Bug 27924: Display number of holds awaiting pickup on check out screens

This patch modifies the checkout page so that waiting holds are
displayed separately depending on whether they are waiting at the
current branch or not. A count of each number of waiting holds is
displayed too.

Unrelated change: A missing </li> has been added for markup validity.

To test, apply the patch and view the checkout screen in these
situations:

 - A patron with no waiting holds.
 - A patron with one or more holds waiting at the current library.
 - A patron with one or more holds waiting at another library.
 - A patron with holds waiting at both the current library and at other
   libraries.

In each case, the display of waiting hold information should be correct,
including the count of holds of each kind.
Comment 8 Owen Leonard 2021-04-22 10:58:53 UTC
(In reply to Katrin Fischer from comment #6)
 
> Wondering, would "... (4):" or "...: 4" be better in this case?

I questioned that too and have decided to get rid of the ":"
Comment 9 PTFS Europe Sandboxes 2021-04-22 14:19:21 UTC
Created attachment 120006 [details] [review]
Bug 27924: Display number of holds awaiting pickup on check out screens

This patch modifies the checkout page so that waiting holds are
displayed separately depending on whether they are waiting at the
current branch or not. A count of each number of waiting holds is
displayed too.

Unrelated change: A missing </li> has been added for markup validity.

To test, apply the patch and view the checkout screen in these
situations:

 - A patron with no waiting holds.
 - A patron with one or more holds waiting at the current library.
 - A patron with one or more holds waiting at another library.
 - A patron with holds waiting at both the current library and at other
   libraries.

In each case, the display of waiting hold information should be correct,
including the count of holds of each kind.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 10 Katrin Fischer 2021-04-22 21:40:15 UTC
Created attachment 120030 [details] [review]
Bug 27924: Display number of holds awaiting pickup on check out screens

This patch modifies the checkout page so that waiting holds are
displayed separately depending on whether they are waiting at the
current branch or not. A count of each number of waiting holds is
displayed too.

Unrelated change: A missing </li> has been added for markup validity.

To test, apply the patch and view the checkout screen in these
situations:

 - A patron with no waiting holds.
 - A patron with one or more holds waiting at the current library.
 - A patron with one or more holds waiting at another library.
 - A patron with holds waiting at both the current library and at other
   libraries.

In each case, the display of waiting hold information should be correct,
including the count of holds of each kind.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Jonathan Druart 2021-04-23 09:55:37 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 12 Fridolin Somers 2021-04-30 07:45:23 UTC
Enhancement not pushed to 20.11.x